; Multi_Key is a routine that accepts multiple keypresses at one time.  The
; syntax is very simple:  Multi_Key(alias).  The aliases are defined below
; as in TI-Basic's GetKey format (i.e. KEY_26 is the up arrow).  This routine
; can even detect the [ON] key (KEY_101)!  Read multikey.txt for more
; information on this routine.

; Code written by Thomas J. Hruska (C) 1997 Shining Light Productions

#DEFINE Multi_Key(addr)   push bc \ ld bc,addr \ CALL_(MULTIKEY) \ pop bc

KEY_11        =$BF10  ;f1
KEY_12        =$BF08  ;f2
KEY_13        =$BF04  ;f3
KEY_14        =$BF02  ;f4
KEY_15        =$BF01  ;f5
KEY_21        =$BF20  ;2nd
KEY_22        =$BF40  ;exit 
KEY_23        =$BF80  ;more
KEY_24        =$FE02  ;left
KEY_25        =$FE08  ;up
KEY_26        =$FE04  ;right
KEY_31        =$DF80  ;alpha
KEY_32        =$EF80  ;xvar
KEY_33        =$F780  ;del
KEY_34        =$FE01  ;down
KEY_41        =$DF40  ;graph
KEY_42        =$EF40  ;table
KEY_43        =$F740  ;prgm
KEY_44        =$FB40  ;custom
KEY_45        =$FD40  ;clear
KEY_51        =$DF20  ;log
KEY_52        =$EF20  ;sin
KEY_53        =$F720  ;cos
KEY_54        =$FB20  ;tan
KEY_55        =$FD20  ; ^
KEY_61        =$DF10  ;ln
KEY_62        =$EF10  ;ee
KEY_63        =$F710  ;(
KEY_64        =$FB10  ;)
KEY_65        =$FD10  ;%(divide)
KEY_71        =$DF08  ;x^2
KEY_72        =$EF08  ;7
KEY_73        =$F708  ;8
KEY_74        =$FB08  ;9
KEY_75        =$FD08  ;*(multiply)
KEY_81        =$DF04  ;,
KEY_82        =$EF04  ;4
KEY_83        =$F704  ;5
KEY_84        =$FB04  ;6
KEY_85        =$FD04  ;-
KEY_91        =$DF02  ;sto
KEY_92        =$EF02  ;1 
KEY_93        =$F702  ;2
KEY_94        =$FB02  ;3
KEY_95        =$FD02  ;+
KEY_101       =$FF00  ;on
KEY_102       =$EF01  ;0
KEY_103       =$F701  ;.
KEY_104       =$FB01  ;(-)
KEY_105       =$FD01  ;enter
